- Prerequisites
- Dependencies
- Setting up the Vue 2 project
- Add Syncfusion® Vue packages
- Import Syncfusion® CSS styles
- Add Syncfusion® Vue component
- Run the project
Contact Support
Getting Started with the Vue Chips Component in Vue 2
25 Apr 20254 minutes to read
This article provides a step-by-step guide for setting up a Vue 2 project using Vue-CLI and integrating the Syncfusion® Vue Chips component using the Composition API / Options API.
To get start quickly with Vue Chips, you can check on this video:
Prerequisites
System requirements for Syncfusion® Vue UI components
Dependencies
The list of dependencies required to use the Chip component in your application is given below :
|-- @syncfusion/ej2-vue-buttons
|-- @syncfusion/ej2-base
|-- @syncfusion/ej2-buttons
|-- @syncfusion/ej2-vue-base
Setting up the Vue 2 project
To generate a Vue 2 project using Vue-CLI, use the vue create command. Follow these steps to install Vue CLI and create a new project:
npm install -g @vue/cli
vue create quickstart
cd quickstart
npm run serve
or
yarn global add @vue/cli
vue create quickstart
cd quickstart
yarn run serve
When creating a new project, choose the option Default ([Vue 2] babel, eslint)
from the menu.
Once the quickstart
project is set up with default settings, proceed to add Syncfusion® components to the project.
Add Syncfusion® Vue packages
Syncfusion® packages are available at npmjs.com. To use Vue components, install the required npm package.
This article uses the Vue Chips component as an example. Install the @syncfusion/ej2-vue-buttons
package by running the following command:
npm install @syncfusion/ej2-vue-buttons --save
or
yarn add @syncfusion/ej2-vue-buttons
Import Syncfusion® CSS styles
You can import themes for the Syncfusion® Vue component in various ways, such as using CSS or SASS styles from npm packages, CDN, CRG and Theme Studio. Refer to themes topic to know more about built-in themes and different ways to refer to themes in a Vue project.
In this article, the Material
theme is applied using CSS styles, which are available in installed packages. The necessary Material
CSS styles for the Chips component and its dependents were imported into the <style>
section of src/App.vue file.
<style>
@import '../node_modules/@syncfusion/ej2-vue-buttons/styles/material.css';
</style>
Add Syncfusion® Vue component
Follow the below steps to add the Vue Chips component using Composition API
or Options API
:
1. First, import and register the Chips component in the script
section of the src/App.vue file. If you are using the Composition API
, you should add the setup
attribute to the script
tag to indicate that Vue will be using the Composition API
.
<script setup>
import { ChipListComponent as EjsChiplist } from '@syncfusion/ej2-vue-buttons';
</script>
<script>
import { ChipListComponent } from '@syncfusion/ej2-vue-buttons';
export default {
components: {
'ejs-chiplist': ChipListComponent
}
}
</script>
2. In the template
section, define the Chips component with the text property.
<template>
<ejs-chiplist id="chip" text="Janet Leverling"></ejs-chiplist>
</template>
Here is the summarized code for the above steps in the src/App.vue file:
<template>
<ejs-chiplist id="chip" text="Janet Leverling"></ejs-chiplist>
</template>
<script setup>
import { ChipListComponent as EjsChiplist } from '@syncfusion/ej2-vue-buttons';
</script>
<style>
@import '../node_modules/@syncfusion/ej2-vue-buttons/styles/material.css';
</style>
<template>
<ejs-chiplist id="chip" text="Janet Leverling"></ejs-chiplist>
</template>
<script>
import { ChipListComponent } from '@syncfusion/ej2-vue-buttons';
export default {
name: "App",
components: {
'ejs-chiplist': ChipListComponent
}
}
</script>
<style>
@import '../node_modules/@syncfusion/ej2-vue-buttons/styles/material.css';
</style>
Run the project
To run the project, use the following command:
npm run serve
or
yarn run serve

Getting started with React Chips component

28 Jun 20254 minutes to read

This section explains how to create a simple Chip and to configure the Chip component.

To get start quickly with React Chips, you can check on this video:

Dependencies

The list of dependencies required to use the Chip component in your application is given below:

|-- @syncfusion/ej2-react-buttons
    |-- @syncfusion/ej2-base
    |-- @syncfusion/ej2-buttons
    |-- @syncfusion/ej2-react-base

Installation and Configuration

To easily set up a React application, use create-vite-app, which provides a faster development environment, smaller bundle sizes, and optimized builds compared to traditional tools like create-react-app. For detailed steps, refer to the Vite installation instructions. Vite sets up your environment using JavaScript and optimizes your application for production.

Note: To create a React application using create-react-app, refer to this documentation for more details.

To create a new React application, run the following command.

npm create vite@latest my-app

To set-up a React application in TypeScript environment, run the following command.

npm create vite@latest my-app -- --template react-ts
cd my-app
npm run dev

To set-up a React application in JavaScript environment, run the following command.

npm create vite@latest my-app -- --template react
cd my-app
npm run dev

Adding Syncfusion® packages

All the available Essential® JS 2 packages are published in npmjs.com public registry.

To install Chip component, use the following command

npm install @syncfusion/ej2-react-buttons --save

Adding CSS Reference

Import the Chip component’s required CSS references as follows in src/App.css.

@import "../node_modules/@syncfusion/ej2-react-buttons/styles/material.css";

Adding Chip component to the Application

To include the Chip component in your application import the ChipListComponent from ej2-react-buttons package in App.tsx.

Add the Chip component in application as shown in below code example.

import * as React from 'react';
import './App.css';
// Import the Button.
import { ChipListComponent } from '@syncfusion/ej2-react-buttons';

// To render Button.
function App() {
  return (
    <ChipListComponent text="Janet Leverling"></ChipListComponent>
  );
}
export default App;

Running the application

Now run the npm run dev command in the console to start the development server. This command compiles your code and serves the application locally, opening it in the browser.

npm run dev

The following example shows a basic Chip component.

import * as React from 'react';
import * as ReactDom from 'react-dom';
import { ChipListComponent } from '@syncfusion/ej2-react-buttons';
// To render Chip.
function App() {
    return (<ChipListComponent text="Janet Leverling"></ChipListComponent>);
}
export default App;
ReactDom.render(<App />, document.getElementById('chip'));
import * as React from 'react';
import * as ReactDom from 'react-dom';
import { ChipListComponent } from '@syncfusion/ej2-react-buttons';
import { enableRipple } from '@syncfusion/ej2-base';

enableRipple(true);

// To render Chip.
function App() {
  return (
    <ChipListComponent text="Janet Leverling"></ChipListComponent>
  );
}
export default App;
ReactDom.render(<App />, document.getElementById('chip'));
#loader {
	color: #008cff;
	height: 40px;
	left: 45%;
	position: absolute;
	top: 45%;
	width: 30%;
}
<!DOCTYPE html>
<html lang="en">

<head>
    <title>Syncfusion React Chips</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="description" content="Essential JS 2 for React Components" />
    <meta name="author" content="Syncfusion" />
    <link href="https://cdn.syncfusion.com/ej2/30.2.4/ej2-base/styles/material.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/30.2.4/ej2-react-buttons/styles/material.css" rel="stylesheet" />
    <link href="index.css" rel="stylesheet" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.38/system.js"></script>
    <script src="systemjs.config.js"></script>
<script src="https://cdn.syncfusion.com/ej2/syncfusion-helper.js" type ="text/javascript"></script>
</head>

<body>
    <div id='chip'>
        <div id='loader'>Loading....</div>
    </div>
</body>

</html>

Getting started with Angular Chips component

27 Sep 20234 minutes to read

This section explains you the steps required to create a simple Chip and demonstrate the basic usage of the Chip component in an Angular environment.

Setup Angular Environment

You can use Angular CLI to setup your Angular applications.
To install Angular CLI use the following command.

npm install -g @angular/cli

Create an Angular Application

Start a new Angular application using below Angular CLI command.

ng new my-app
cd my-app

Installing Syncfusion Chips package

Syncfusion packages are distributed in npm as @syncfusion scoped packages. You can get all the Angular Syncfusion package from npm link.

Currently, Syncfusion provides two types of package structures for Angular components,

  1. Ivy library distribution package format
  2. Angular compatibility compiler(Angular’s legacy compilation and rendering pipeline) package.

Ivy library distribution package

Syncfusion Angular packages(>=20.2.36) has been moved to the Ivy distribution to support the Angular Ivy rendering engine and the package are compatible with Angular version 12 and above. To download the package use the below command.

Add @syncfusion/ej2-angular-buttons package to the application.

npm install @syncfusion/ej2-angular-buttons --save

Angular compatibility compiled package(ngcc)

For Angular version below 12, you can use the legacy (ngcc) package of the Syncfusion Angular components. To download the ngcc package use the below.

Add @syncfusion/ej2-angular-buttons@ngcc package to the application.

npm install @syncfusion/ej2-angular-buttons@ngcc --save

To mention the ngcc package in the package.json file, add the suffix -ngcc with the package version as below.

@syncfusion/ej2-angular-buttons:"20.2.38-ngcc"

Note: If the ngcc tag is not specified while installing the package, the Ivy Library Package will be installed and this package will throw a warning.

Registering ChipList Module

Import ChipList module into Angular application(app.module.ts) from the package @syncfusion/ej2-angular-buttons [src/app/app.module.ts].

import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
// import the ChipListModule for the Chip component
import { ChipListModule } from '@syncfusion/ej2-angular-buttons';
import { AppComponent }  from './app.component';

@NgModule({
  //declaration of ej2-angular-buttons module into NgModule
  imports:      [ BrowserModule, ChipListModule ],
  declarations: [ AppComponent ],
  bootstrap:    [ AppComponent ]
})
export class AppModule { }

Adding CSS reference

Add Chip component CSS using the following code in [src/styles.css].

@import "../node_modules/@syncfusion/ej2-angular-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-angular-buttons/styles/material.css";

Add Chip

Modify the template in [src/app/app.component.ts] file to render the Chip component. Add the Angular Chip by using <e-chip> child selector with text attribute inside of ChipList component selector <ejs-chiplist> in template section of the app.component.ts file.

import { Component, OnInit } from '@angular/core';

@Component({
  selector: 'my-app',
  // specifies the template string for the Chip component
  template: `<ejs-chiplist text="Janet Leverling"></ejs-chiplist>`
})
export class AppComponent {

}

Now, the basic chip is included in Angular CLI application.

Run the application

Use the following command to run the application in browser.

ng serve --open

The output will appear as follows.

import { Component } from '@angular/core';

@Component({
    selector: 'my-app',
    template: `<ejs-chiplist text="Janet Leverling"></ejs-chiplist>`
})
export class AppComponent {

}
import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { ChipListModule } from '@syncfusion/ej2-angular-buttons';
import { AppComponent } from './app.component';
import { enableRipple } from '@syncfusion/ej2-base';

enableRipple(true);

/**
 * Module
 */
@NgModule({
    imports: [
        BrowserModule,
        ChipListModule
    ],
    declarations: [AppComponent],
    bootstrap: [AppComponent]
})
export class AppModule { }
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { enableProdMode } from '@angular/core';
import { AppModule } from './app.module';

import 'zone.js';
enableProdMode();
platformBrowserDynamic().bootstrapModule(AppModule);